Name:		cheese
Version:	2.24.0
Release:	%mkrel 1
Summary:	A GNOME application for taking pictures and videos from a webcam
License:	GPLv2+
Group:      Video
URL:		http://www.gnome.org/projects/cheese/
Source:	    ftp://ftp.gnome.org/mirror/gnome.org/sources/cheese/2.23/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libglade2.0-devel
BuildRequires: libgstreamer0.10-plugins-base-devel libgnome-vfs2-devel
BuildRequires: dbus-glib-devel
BuildRequires: evolution-data-server-devel
BuildRequires: pkgconfig(libgnomeui-2.0)
BuildRequires: libxxf86vm-devel
BuildRequires: gnome-doc-utils desktop-file-utils
BuildRequires: librsvg2-devel hal-devel
BuildRequires: intltool
# TODO update features once added upstream
%description
Cheese is a Photobooth-inspired GNOME application for taking pictures and
videos from a webcam. It also includes fancy graphical effects based on
the gstreamer-backend.

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome --all-name

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%define schemas %name

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %{schemas}
%update_menus
%update_desktop_database
%update_mime_database
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%preun
%preun_uninstall_gconf_schemas %{schemas}
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%clean_mime_database
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/*
%{_datadir}/omf/%{name}/*
%_datadir/dbus-1/services/org.gnome.Cheese.service


%changelog
* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286921
- new version

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282916
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278576
- new version

* Thu Aug 21 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 274632
- new version
- update build deps
- update file list

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 2.23.6-2mdv2009.0
+ Revision: 263669
- New version 2.23.6

* Wed Jul 30 2008 Michael Scherer <misc@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 254731
- update to new version 2.23.5

* Fri Jul 04 2008 Michael Scherer <misc@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231790
- update to 2.23.4, remove old patch applied upstream

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Mar 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190939
- Patch0: various fixes from SVN

* Tue Mar 11 2008 Michael Scherer <misc@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 186736
- new release

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 177097
- new version
- fix url

* Sun Feb 17 2008 Michael Scherer <misc@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 169690
- fix version and use gnome.org ftp
- update to new version 2.21.91

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 2.21.90.1-1mdv2008.1
+ Revision: 161670
- New version 2.21.90.1

* Wed Jan 16 2008 Jérôme Soyer <saispo@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 153860
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.4-1mdv2008.1
+ Revision: 116384
- Fix BuildRequires
- New version 0.2.4

* Wed Oct 17 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.1-2mdv2008.1
+ Revision: 99606
- Fix BuildRequires
-Use new configure macro
- Patch0 : fix running under non-UTF8 locale

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

  + Michael Scherer <misc@mandriva.org>
    - new version 0.2.1

* Thu Aug 16 2007 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 64125
- new version 0.2.0

* Fri Aug 03 2007 Michael Scherer <misc@mandriva.org> 0.1.4-1mdv2008.0
+ Revision: 58678
- Import cheese

